---

inv__prepare_host__users_to_add:
  - login: "{{ inv__install_mariadb.system_user }}"
    group: "{{ inv__install_mariadb.system_group }}"
    is_system: true

  - login: "{{ inv__install_maxscale.system_user }}"
    group: "{{ inv__install_maxscale.system_group }}"
    is_system: true

inv__install_maxscale:
  system_user: "maxscale"
  system_group: "maxscale"
  ssl_path: "/etc/maxscale/ssl"
  threads: "auto"
  threads_max: 256

inv__install_maxscale__admin:
  enabled: true
  secure: true
  bind: "0.0.0.0"
  port: 8989
  ssl_crt: "{{ inv__install_maxscale.ssl_path }}/my.maxscale.local/my.maxscale.local.pem.crt"
  ssl_key: "{{ inv__install_maxscale.ssl_path }}/my.maxscale.local/my.maxscale.local.pem.key"
  ssl_ca: "{{ inv__install_maxscale.ssl_path }}/my.maxscale.local/ca-chain.pem.crt"

# inv__install_maxscale__mariadb:
#   admin_user: "admin" # adminstrator user for create the user
#   admin_password: "admin"
#   maxscale_user: "maxscale"
#   maxscale_password: "maxscale"
#   type: "galeramon" # galeramon / mariadbmon
#   ssl_ca: "{{ inv__install_maxscale.ssl_path }}/my.maxscale.local/ca-chain.pem.crt"
#   hosts: []
#     # - { name: "server-1", port: 3306, address: "{{ hostvars['molecule--debian-12--instance-1--role--install-maxscale']['ansible_default_ipv4']['address'] }}" }
#     # - { name: "server-2", port: 3306, address: "{{ hostvars['molecule--debian-12--instance-2--role--install-maxscale']['ansible_default_ipv4']['address'] }}" }
#     # - { name: "server-3", port: 3306, address: "{{ hostvars['molecule--debian-12--instance-3--role--install-maxscale']['ansible_default_ipv4']['address'] }}" }

inv__install_maxscale__listener:
  port: 3307
  bind: "0.0.0.0"
  ssl_client_auth: true
  ssl_verify_certificate: true
  ssl_verify_host: false
  ssl_version: "MAX" # TLSv10, TLSv11, TLSv12, TLSv13
  ssl_crt: "my.maxscale.local/my.maxscale.local.pem.crt"
  ssl_key: "my.maxscale.local/my.maxscale.local.pem.key"
  ssl_ca: "my.maxscale.local/ca-chain.pem.crt"
